Package org.openoffice.da.comp.w2lcommon.filter

# Class UNOConverter

java.lang.Object
org.openoffice.da.comp.w2lcommon.filter.UNOConverter

public class UNOConverter extends Object
This class provides conversion using UNO: Graphics conversion is done using appropriate UNO services. Files are written to an URL using UCB. The document source document can be provided as an `XInputStream` or as a DOM tree

## Constructor Summary

Constructors
Constructor
Description
`UNOConverter(com.sun.star.beans.PropertyValue[] lArguments, com.sun.star.uno.XComponentContext xComponentContext)`
Construct a new UNODocumentConverter from an array of arguments

## Method Summary

Modifier and Type
Method
Description
`void`
`convert(com.sun.star.io.XInputStream xis)`
Convert a document given by an XInputStream
`void`
`convert(Document dom)`
Convert a document given by a DOM tree

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UNOConverter

public UNOConverter(com.sun.star.beans.PropertyValue[] lArguments, com.sun.star.uno.XComponentContext xComponentContext)
Construct a new UNODocumentConverter from an array of arguments

Parameters:
  `lArguments` - arguments providing FilterName, URL, OutputStream (optional), FilterData (optional) and FilterOptions (optional, alternative to FilterData)
  `xComponentContext` - the component context used to instantiate new UNO services

## Method Details

### convert

public void convert(Document dom) throws IOException
Convert a document given by a DOM tree

Parameters:
  `dom` - the DOMsource
Throws:
  `IOException`

### convert

public void convert(com.sun.star.io.XInputStream xis) throws IOException
Convert a document given by an XInputStream

Parameters:
  `xis` - the input stream
Throws:
  `IOException`